Bug 870130 - cifs.upcall not called when mounting second CIFS share from same server using different krb5 credentials
cifs.upcall not called when mounting second CIFS share from same server using...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Sachin Prabhu
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 11:34 EDT by Paolo Penzo
Modified: 2014-02-21 13:46 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 669377
Environment:
Last Closed: 2014-02-21 13:46:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Penzo 2012-10-25 11:34:19 EDT
As in the original bug, I've got the same issue on RHEL5: cifs.upcall is not called when, mounting with cred=krb5, there is already an open connection to the same server by a different user.

Do you have plans to backport the fix to RHEL5?

Involved components:

samba3x-client-3.5.10-0.109.el5_8
kernel-2.6.18-308.el5
Comment 1 Paolo Penzo 2014-02-18 05:47:43 EST
After updating to samba3x-client-3.6.6-0.129.el5, the cruid option is supported by mount.cifs but still it is not recognized by the kernel (2.6.18-348.6.1.el5).
Comment 4 RHEL Product and Program Management 2014-02-21 13:46:26 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.